#include <vector>
#include <algorithm>
#include <iostream>
#include <cstdio>

using namespace std;

bool prime(long long n) {
    if (n == 0 || n == 1)return 0;
    for (long long i = 2; i * i <= n; i++) {
        if (n % i == 0)return 0;
    }
    return 1;
}

long long re(long long n) {
    long long ret = 0;
    while (n) {
        ret = ret * 10 + n % 10;
        n /= 10;
    }
    return ret;
}

int main() {
    long long n;
    while (scanf("%lld", &n) != EOF) {
        if (prime(re(n)))
            printf("Y\n");
        else printf("N\n");
    }


}
